package com.izouma.awesomeadmin.shiro;


import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.apache.shiro.authc.AuthenticationToken;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AppToken implements AuthenticationToken {
    private String token;

    public AppToken() {
    }

    public AppToken(String token) {
        this.token = token;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    @Override
    public Object getPrincipal() {
        return token;
    }

    @Override
    public Object getCredentials() {
        return token;
    }
}

